Blacklist Customer
https://sandboxapi.onbrails.com/api/v2/customers/blacklist/{customer_id} (opens in a new tab)
Blacklist a customer using the customer id.
Path Parameters
| Parameter | Type | Required |
|---|---|---|
| customer_id | string | ✅ |
Request
Customers/Blacklist Customer [PUT]
curl --request PUT \
--url https://sandboxapi.onbrails.com/api/v2/customers/blacklist/{customer_id} \
--header 'Authorization: Bearer YOUR_SECRET_KEY' \
--header 'accept: application/json'Responses
🟢 200 - Result example
{
"status": true,
"message": "successfully blacklisted customer",
"data": {
"id": "1e258349-2043-4ca1-b39c-8418f9e0d36d",
"createdAt": "2021-08-26T11:15:23.788Z",
"updatedAt": "2021-08-26T11:19:02.287Z",
"firstName": "Bob",
"lastName": "Wonder",
"email": "bob@braills.com",
"phone": "9021534385",
"countryCode": "+234",
"blacklisted": true,
"businessName": null,
"isDefault": false
}
}